{ config, pkgs, ...}:
{
  programs.command-not-found.enable = true;

  home.keyboard.layout = "fi";

  home.packages = with pkgs; [
    pass
    vifm
    qutebrowser
    kobodl

    myEmacs
    myVim
  ];

  services.emacs = {
    enable = true;
    package = pkgs.myEmacs;
  };

  services.flameshot = {
    enable = true;
  };

  services.syncthing = {
    enable = true;
    tray = false;
  };

  programs.mac-keys.enable = true;
  programs.git = {
    enable = true;
    userName = "Mats Rauhala";
    userEmail = "mats.rauhala@iki.fi";
    signing = {
      key = "2104943D6033C8F4F7D4F560BDA6DFEDBCFB6779";
    };
    ignores = [
      "env"
      "*.swp"
      "*.swo"
      "*.orig"
      "*.crt"
      "*.key"
      "*.log"
      "tags"
      "result"
      "*.pub"
      "*.db"
      "*.sqlite"
      ".projectile"
      ".dir-locals.el"
    ];
    extraConfig = {
      push = {
        default = "simple";
      };
    };
  };
}
